function login() {
	let user = document.getElementById("login_user").value;
	let pass = document.getElementById("login_pass").value;

	let data = {
		"email": user,
		"password": pass
	};

	let ajax = new XMLHttpRequest();
	ajax.open("POST", "/api/login", true);
	ajax.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
	ajax.send(JSON.stringify(data));
	ajax.onload = () => {
		let json = JSON.parse(ajax.responseText);
		if(json.message && json.message == "msg.auth.login.successful") window.location.href= "/";
	};
};

function logout() {
	let ajax = new XMLHttpRequest();
	ajax.open("GET", "/api/logout", true);
	ajax.setRequestHeader('Content-Type', 'charset=UTF-8');
	ajax.send("");
	ajax.onload = () => {
		let json = JSON.parse(ajax.responseText);
		if(json.message && json.message == "msg.auth.logout.successful") window.location.href= "/";
	};
}
setTimeout(function () {
	if(document.getElementById("listener_logout")) {
		console.log("logout");
		logout();
	}
}, 100);
